> For the complete documentation index, see [llms.txt](https://docs.visualsentinel.com/llms.txt)

# StatusPageMonitorLink data model

The link between a monitor and a status page, with its display options

## Fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string (uuid) | No | Link ID |
| `statusPageId` | string (uuid) | No |   |
| `monitorId` | string (uuid) | No |   |
| `groupId` | string (uuid) or null (uuid) | No |   |
| `displayName` | string or null | No |   |
| `order` | integer | No |   |
| `showGraph` | boolean | No |   |
| `showResponseTime` | boolean | No |   |
| `showSSL` | boolean | No |   |
| `createdAt` | string (date-time) | No |   |

## Used by

- [Update status page monitor display](https://docs.visualsentinel.com/reference/status-pages.md#update-status-page-monitor): `PATCH /api/status-pages/{id}/monitors/{monitorId}`

Generated from the OpenAPI 3.1 specification at [https://docs.visualsentinel.com/openapi.json](https://docs.visualsentinel.com/openapi.json).
